com.mysql.cj.xdevapi

## Enum Schema.Validation.ValidationLevel

- java.lang.Object
- - java.lang.Enum<Schema.Validation.ValidationLevel>
  - - com.mysql.cj.xdevapi.Schema.Validation.ValidationLevel

All Implemented Interfaces:
  Serializable, Comparable<Schema.Validation.ValidationLevel>

Enclosing class:
  Schema.Validation

    public static enum Schema.Validation.ValidationLevel
    extends Enum<Schema.Validation.ValidationLevel>

Defines how validation options are applied.

- STRICT - enable JSON schema validation for documents in the collection.
- OFF - disable JSON schema validation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OFF`
`STRICT`

### Method Summary

All Methods Static Methods Concrete Methods
`static Schema.Validation.ValidationLevel` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Schema.Validation.ValidationLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRICT

    public static final Schema.Validation.ValidationLevel STRICT

#### OFF

    public static final Schema.Validation.ValidationLevel OFF

### Method Detail

#### values

    public static Schema.Validation.ValidationLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Schema.Validation.ValidationLevel c : Schema.Validation.ValidationLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Schema.Validation.ValidationLevel valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2022, Oracle and/or its affiliates.